package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSchedulBillInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractSchedulBillInfo()
    {
        this("id");
    }
    protected AbstractSchedulBillInfo(String pkField)
    {
        super(pkField);
        put("E1", new com.kingdee.eas.custom.gggl.SchedulBillE1Collection());
    }
    /**
     * Object: 排期管理 's 公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("company");
    }
    public void setCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("company", item);
    }
    /**
     * Object: 排期管理 's 客户 property 
     */
    public com.kingdee.eas.basedata.master.cssp.CustomerInfo getCustomer()
    {
        return (com.kingdee.eas.basedata.master.cssp.CustomerInfo)get("customer");
    }
    public void setCustomer(com.kingdee.eas.basedata.master.cssp.CustomerInfo item)
    {
        put("customer", item);
    }
    /**
     * Object: 排期管理 's 责任人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getZrPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("zrPerson");
    }
    public void setZrPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("zrPerson", item);
    }
    /**
     * Object: 排期管理 's 责任部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDeparment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("deparment");
    }
    public void setDeparment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("deparment", item);
    }
    /**
     * Object:排期管理's 合同内容property 
     */
    public String getHtnn()
    {
        return getString("htnn");
    }
    public void setHtnn(String item)
    {
        setString("htnn", item);
    }
    /**
     * Object: 排期管理 's 第1个表体 property 
     */
    public com.kingdee.eas.custom.gggl.SchedulBillE1Collection getE1()
    {
        return (com.kingdee.eas.custom.gggl.SchedulBillE1Collection)get("E1");
    }
    /**
     * Object: 排期管理 's 合同号/名称 property 
     */
    public com.kingdee.eas.custom.gggl.SaleContractInfo getContract()
    {
        return (com.kingdee.eas.custom.gggl.SaleContractInfo)get("contract");
    }
    public void setContract(com.kingdee.eas.custom.gggl.SaleContractInfo item)
    {
        put("contract", item);
    }
    /**
     * Object:排期管理's 单据类型property 
     */
    public com.kingdee.eas.custom.gggl.DTypeEnum getDjType()
    {
        return com.kingdee.eas.custom.gggl.DTypeEnum.getEnum(getString("djType"));
    }
    public void setDjType(com.kingdee.eas.custom.gggl.DTypeEnum item)
    {
		if (item != null) {
        setString("djType", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("32CCA217");
    }
}